apiVersion: apps/v1
kind: Deployment
metadata:
  name: anomaly-classification-stream
  namespace: kursinis
spec:
  replicas: 1
  selector:
    matchLabels:
      app: anomaly-classification-stream
  template:
    metadata:
      labels:
        app: anomaly-classification-stream
    spec:
      containers:
        - name: anomaly-classification-stream
          image: anomaly-classification-stream
          imagePullPolicy: Always
          env:
            - name: KAFKA_GROUP_ID
              value: "anomaly-classification-stream-v1"
            - name: KAFKA_BROKERS
              value: "redpanda-0.redpanda.redpanda.svc.cluster.local:9094"
            - name: KAFKA_SECURITY_PROTOCOL
              value: "SSL"
            - name: KAFKA_TRUSTSTORE_LOCATION
              value: "/certs/truststore/truststore.p12"
            - name: KAFKA_TRUSTSTORE_PASSWORD
              value: "$KAFKA_TRUSTSTORE_PASSWORD"
            - name: KAFKA_DEBEZIUM_DEVICE_TOPIC
              value: "kursinis-user-devices-rest.kursinis_user_devices_rest.device"
            - name: KAFKA_DEVICE_SENSOR_TOPIC
              value: "deviceSensorTopic"
            - name: KAFKA_OUTPUT_DEVICE_SENSOR_ANOMALY_CLASSIFICATION_TOPIC
              value: "anomaly-classification-stream.output"
          volumeMounts:
            - mountPath: "/certs/truststore"
              name: kafka-truststore
      volumes:
        - name: kafka-truststore
          secret:
            secretName: redpanda-connect-default-root-certificate-p12
      imagePullSecrets:
        - name: regcred